NAME = minetest.get_current_modname()
local variants = 6

for variant = 1, variants do
	orion.register_slab_node(NAME .. ":trunk_c0" .. variant, {
		description = "Tree trunk",
		groups = { flora = 3, colorVariant = variant},
		node_dig_prediction = "air",
		tiles = {
				NAME .. "_trunk_core.png",
				NAME .. "_trunk_core.png",
				"tree_c0" .. variant .. "_bark.png",
				"tree_c0" .. variant .. "_bark.png",
				"tree_c0" .. variant .. "_bark.png",
				"tree_c0" .. variant .. "_bark.png"
		},
		walkable = true,
	})
	orion.register_slab_node(NAME .. ":plank_c0" .. variant, {
		description = "Tree trunk",
		groups = { flora = 3, colorVariant = variant},
		node_dig_prediction = "air",
		tiles = {
				"wood_c0" .. variant .. "_plank.png",
				"wood_c0" .. variant .. "_plank.png",
				"wood_c0" .. variant .. "_plank.png",
				"wood_c0" .. variant .. "_plank.png",
				"wood_c0" .. variant .. "_plank.png",
				"wood_c0" .. variant .. "_plank.png",
		},
		walkable = true,
	})
end

orion.craft.register_fuel(NAME .. ":trunk", 60, 10)
